<?php
// -----------------------------------------
// --- saisie d'une liste données mixtes ---
// -----------------------------------------
echo "Entrez un nom, un prénom et un âge (ex : Dupont;Jean;28) : ";
$saisie=fgets(STDIN);
// --- traitement de la chaîne lue, ---
// suppression des espaces au début , à la fin et suppression du saut de ligne
$saisie=trim($saisie);
// remplace les espaces multiples par un seul espace
$saisie= preg_replace('/\s{2,}/',' ',$saisie);
// remplace ; suivi d'un espace par ;
$saisie= preg_replace('/;\s/',';',$saisie);
// remplace un espace suivi d'un ; par ;
$saisie= preg_replace('/\s;/',';',$saisie);

// rangement dans le tableau associatif
list($une_personne['Nom'],$une_personne['Prenom'],$une_personne['Age'])=explode(';',$saisie);

echo '--- Affichage de $une_personne ---'.PHP_EOL;
print_r($une_personne) ;
?>
